﻿using System.IO;
using System.Security.Cryptography.X509Certificates;

namespace WebApplication.Models
{
    public class CertificateStore
    {
        public static X509Certificate2 GetCertificate()
        {
            string path = System.IO.Path.Combine(System.Web.Hosting.HostingEnvironment.ApplicationPhysicalPath, "Certificates", "CelloAuthServer.cer");
            return GetCertificateFromFile(path);
        }

        private static X509Certificate2 GetCertificateFromFile(string path)
        {
            using (FileStream fs = new FileStream(path, FileMode.Open, FileAccess.Read))
            {
                return new X509Certificate2(ReadStream(fs));
            }
        }

        private static byte[] ReadStream(Stream input)
        {
            byte[] buffer = new byte[16 * 1024];
            using (MemoryStream ms = new MemoryStream())
            {
                int read;
                while ((read = input.Read(buffer, 0, buffer.Length)) > 0)
                {
                    ms.Write(buffer, 0, read);
                }
                return ms.ToArray();
            }
        }
    }
}