
UPDATE AuthenticationTypes
  SET Mode = 'OAuth2.0'
  WHERE Mode = 'OpenId';
UPDATE AuthenticationTypes
  SET Mode = 'OAuth2.0'
  WHERE Mode = 'LDAP';
UPDATE AuthenticationTypes
  SET Mode = 'OAuth2.0'
  WHERE Mode = 'CelloOpenId';
UPDATE AuthenticationProviders
  SET Name = 'ActiveDirectory',
      Description = 'Active Directory Provider'
  WHERE Name = 'LDAP';
INSERT INTO [dbo].[AuthenticationTypes]( [Id],
                                         [Name],
                                         [Description],
                                         [Links],
                                         [Mode],
                                         [ProviderId],
                                         [CreatedBy],
                                         [CreatedOn],
                                         [Status] )
VALUES( NEWID(),'ADFSNative','Support for ADFS 3.0 Native Integration',NULL,'OpenIdConnect1.0','221480D5-4AE4-4C9D-9C1D-025716FF33B0','3398F837-B988-4708-999D-D3DFE11875B3',GETDATE(),1 );
GO
INSERT INTO [dbo].[AuthenticationTypes]( [Id],
                                         [Name],
                                         [Description],
                                         [Links],
                                         [Mode],
                                         [ProviderId],
                                         [CreatedBy],
                                         [CreatedOn],
                                         [UpdatedOn],
                                         [UpdatedBy],
                                         [Status] )
VALUES( NEWID(),'AzureActiveDirectory','Azure Active Directory','https://www.portal.azure.com','OAuth2.0','221480D5-4AE4-4C9D-9C1D-025716FF33B0','3398F837-B988-4708-999D-D3DFE11875B3',GETDATE(),NULL,NULL,1 );
GO

--Default clients update
UPDATE ClientDetails
  SET RequireConsent = 0,
      AllowRememberConsent = 0;

CREATE TABLE [dbo].[__MigrationHistory]( [MigrationId] NVARCHAR( 150 ) NOT NULL,
                                         [ContextKey] NVARCHAR( 300 ) NOT NULL,
                                         [Model] VARBINARY( MAX ) NOT NULL,
                                         [ProductVersion] NVARCHAR( 32 ) NOT NULL,
                                         CONSTRAINT [PK_dbo.__MigrationHistory] PRIMARY KEY CLUSTERED( [MigrationId] ASC,[ContextKey] ASC ));
GO
CREATE TABLE [dbo].[ExceptionSubscription]( [Id] UNIQUEIDENTIFIER NOT NULL,
                                            [Name] NVARCHAR( MAX ) NULL,
                                            [Description] NVARCHAR( MAX ) NULL,
                                            [To] NVARCHAR( MAX ) NULL,
                                            [Cc] NVARCHAR( MAX ) NULL,
                                            [NotificationId] UNIQUEIDENTIFIER NOT NULL,
                                            [Categories] NVARCHAR( MAX ) NULL,
                                            [CreatedBy] UNIQUEIDENTIFIER NOT NULL,
                                            [CreatedOn] DATETIME NOT NULL,
                                            [UpdatedBy] UNIQUEIDENTIFIER NOT NULL,
                                            [UpdatedOn] DATETIME NULL,
                                            [Status] BIT NOT NULL,
                                            CONSTRAINT [PK_dbo.ExceptionSubscriptions] PRIMARY KEY CLUSTERED( [Id] ASC ));
GO




/****** Object:  Table [dbo].[FederationMetadata]    Script Date: 27-05-2015 19:09:55 ******/

SET ANSI_NULLS ON;
GO
SET QUOTED_IDENTIFIER ON;
GO
SET ANSI_PADDING ON;
GO
CREATE TABLE [dbo].[FederationMetadata]( [Id] [UNIQUEIDENTIFIER] NOT NULL
                                                                 CONSTRAINT [DF_FederationMetadata_Id] DEFAULT(NEWSEQUENTIALID()),
                                         [TenantId] [VARCHAR]( 36 ) NOT NULL,
                                         [TenantCodeString] [VARCHAR]( 255 ) NULL,
                                         [ClientId] [VARCHAR]( 36 ) NULL,
                                         [Value] [VARCHAR]( 2048 ) NOT NULL,
                                         [MetadataUrl] [NVARCHAR]( 512 ) NOT NULL,
                                         [RequireRefresh] [BIT] NOT NULL,
                                         [LastRefreshedOn] [DATETIME] NOT NULL,
                                         [Issuer] [NVARCHAR]( 1024 ) NOT NULL,
                                         [Status] [BIT] NOT NULL,
                                         CONSTRAINT [PK_FederationMetadata] PRIMARY KEY CLUSTERED( [Id] ASC )
                                             WITH( PAD_INDEX = OFF,STATISTICS_NORECOMPUTE = OFF,IGNORE_DUP_KEY = OFF,ALLOW_ROW_LOCKS = ON,ALLOW_PAGE_LOCKS = ON ) ON [PRIMARY] )
ON [PRIMARY];
GO

INSERT INTO [dbo].[Schedules]( [Schedule_Id],
                               [Schedule_Name],
                               [Schedule_TenantId],
                               [Schedule_Description] )
VALUES( N'2ca79949-84ff-42bb-8407-ae9722d58806',N'ImmediateSchedule',N'b590cd25-3093-df11-8deb-001ec9dab123',N'This Schedule executes immediately' );


INSERT INTO [dbo].[ClientDetails]( [Id],
                                   [TenantId],
                                   [Name],
                                   [Description],
                                   [Secret],
                                   [Uri],
                                   [LogoUri],
                                   [ApplicationTypes],
                                   [RequireConsent],
                                   [AllowRememberConsent],
                                   [Flows],
                                   [RedirectUris],
                                   [SigningKeyType],
                                   [IdentityTokenLifetime],
                                   [AccessTokenLifetime],
                                   [RefreshTokenLifetime],
                                   [AuthorizationCodeLifetime],
                                   [ScopeRestrictions],
                                   [AccessTokenType],
                                   [PublicAccessAllowed],
                                   [ClientType],
                                   [CreatedBy],
                                   [CreatedOn],
                                   [Status] )
VALUES( N'2af3d511-7c80-453a-8062-01ec8a7b2ba1',N'b590cd25-3093-df11-8deb-001ec9dab123',N'Multi-Tenant Implicit Client',N'Multi-Tenant Implicit Client',N'UBd2DX9xIPprqtB7D0yb0w==',NULL,NULL,N'MultiTenantAccess',0,0,N'Implicit',N'["https://localhost/"]',N'Default',1200,1200,1200,1200,NULL,N'JWT',1,N'Web','3398F837-B988-4708-999D-D3DFE11875B3',GETDATE(),1 );


INSERT INTO [dbo].[AuthenticationTypes]( [Id],
                                         [Name],
                                         [Description],
                                         [Links],
                                         [Mode],
                                         [ProviderId],
                                         [CreatedBy],
                                         [CreatedOn],
                                         [UpdatedOn],
                                         [UpdatedBy],
                                         [Status] )
VALUES( '0300F1CE-E8FB-4924-BFDF-46A895BD8B26','LinkedIn','Linked In',NULL,'OAuth2.0','93BD1DE1-F3FA-4340-AA42-F8C1C6D3FCE5','3398F837-B988-4708-999D-D3DFE11875B3',GETDATE(),NULL,NULL,1 );
GO



INSERT INTO [dbo].[__MigrationHistory]( [MigrationId],
                                        [ContextKey],
                                        [Model],
                                        [ProductVersion] )
VALUES( N'201502111600067_InitialCreate',N'CelloSaaS.SqlDAL.Logger.LoggerDbContext',0x1f8b0800000000000400cd58db6edb46107d2fd07f20f8d4020929db2d601b54025bb20323b6158476de57e4505e74b9cbec2e0da9bfd6877e527e21b3e27d45c9bad8455f04713873e6b63b17fef8e7dfe0e33c65ce334845051fba47dec075804722a67c3674739dbc3f753f7ef8f597e02a4ee7ceb78aefc4f0a1245743f7,N'6.1.1-beta1-30515' );

INSERT INTO [dbo].[ProductSettings]( [Key],
                                     [Value] )
VALUES( N'AuthServerCertificateKey',N'AhmieW3lyEsWRGL2COTCgg==' );
GO
INSERT INTO [dbo].[ProductSettings]( [Key],
                                     [Value] )
VALUES( N'AuthServerCertificateSecret',N'AhmieW3lyEsWRGL2COTCgg==' );
GO

INSERT INTO [dbo].[SettingsAttribute]( [SettingsAttribute_ID],
                                       [SettingsAttribute_Name],
                                       [SettingsAttribute_DataFieldTypeId],
                                       [SettingsAttribute_ModuleCode],
                                       [SettingsAttribute_FeatureCode],
                                       [SettingsAttribute_AttributeSetId],
                                       [SettingsAttribute_CreatedBy],
                                       [SettingsAttribute_CreatedOn],
                                       [SettingsAttribute_UpdatedBy],
                                       [SettingsAttribute_UpdatedOn],
                                       [SettingsAttribute_Status] )
VALUES( 'FederationMetadataUri','FederationMetadataUri','0886B5C3-AC29-495B-891F-A3518080F119',NULL,NULL,'F1B2C6B6-CAC9-4847-810C-1F981E231306','3398F837-B988-4708-999D-D3DFE11875B3',GETDATE(),NULL,NULL,1 );

UPDATE Usage
  SET Usage_CanGenerateInvoice = 0
  WHERE Usage_ModuleCode = 'User';


INSERT INTO [dbo].[CelloVersion]( [VersionNo],
                                  [PatchNo],
                                  [Description],
                                  [PatchDate],
                                  [RunDate],
                                  [Status] )
VALUES( N'4.5.0.0',4,N'4.5.0.0 Release',GETDATE(),GETDATE(),1 );
GO